export declare type MenuState = {
    selectedPath: number[];
    altKey: boolean;
    hovering: boolean;
};
export declare type MenuAction = {
    type: 'alt';
    altKey: boolean;
} | {
    type: 'reset';
} | {
    type: 'del';
    depth: number;
} | {
    type: 'set' | 'hover-sub' | 'button-set';
    depth: number;
    selected: number;
} | {
    type: 'hovering';
    hovering: boolean;
};
export declare const initialState: MenuState;
declare const menuReducer: (state: MenuState, action: MenuAction) => MenuState;
export default menuReducer;
